Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.association
Interface DiscountAssociation

All Superinterfaces
  Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface DiscountAssociation

extends Serializable

This interface represents the public interface to the `DiscountAssociation` object. A `DiscountAssociation` object is an immutable representation of a discount association. A discount association is the mapping of a `Customer` to a `Discount` and it's primary purpose is to tack and limit how many times discount is used by a particular customer

Method Summary
`boolean` | `equals(Object obj)` Deprecated See BEA Commerce product offering
`String` | `getDescription()` Deprecated See BEA Commerce product offering
`Integer` | `getId()` Deprecated See BEA Commerce product offering
`QualificationDiscountId` | `getQualDiscountId()` Deprecated See BEA Commerce product offering
`int` | `getUseCount()` Deprecated See BEA Commerce product offering
`CustomerPk` | `getUser()` Deprecated See BEA Commerce product offering
`int` | `hashCode()` Deprecated See BEA Commerce product offering
`boolean` | `isGlobal()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Method Detail

### getId

    Integer getId()

  Deprecated See BEA Commerce product offering

  Gets this discount association's unique id

  Returns
    the discount association's unique id

### getUser

    CustomerPk getUser()

  Deprecated See BEA Commerce product offering

  Gets this discount association's `Customer` or more specifically the `CustomerPK`

  Returns
    discount association's `CustomerPK`

### getQualDiscountId

    QualificationDiscountId getQualDiscountId()

  Deprecated See BEA Commerce product offering

  Gets the id of the discount for this discount association

  Returns
    the id of the discount, a `QualificationDiscountId` for this discount association

### isGlobal

    boolean isGlobal()

  Deprecated See BEA Commerce product offering

  Gets the value of the the global flag for the discount in this discount association

  Returns
    ture if the discount in this association is global, flase if it is not

### getUseCount

    int getUseCount()

  Deprecated See BEA Commerce product offering

  Gets the current use count for this discount association, that is the number of times the user in the association has used the discount in this association. This number should not exceed the `allowedUses`values specified by the discount

  ``
  Returns
    the number of time the user has used the discount
  See Also
    `QualificationDiscountDef.getAllowedUses()`

### getDescription

    String getDescription()

  Deprecated See BEA Commerce product offering

  Get the description for this discount association. This description will only be present if the discount in this association is not global. The description will provide some indication of how or why the user is associated with the discount

  Returns
    the association's description, or null if none was provided

### equals

    boolean equals(Object obj)

  Deprecated See BEA Commerce product offering

  Tests if two discount associations are the same

  Overrides:
    `equals` in class `Object`
  Parameters
    `obj` - the `DiscountAssociation` to compare this one against
  Returns
    true if the passed `DiscountAssociation` is the same as this one

### hashCode

    int hashCode()

  Deprecated See BEA Commerce product offering

  A unique code for this discount association

  Overrides:
    `hashCode` in class `Object`
  Returns
    the hashCode for this discount association

### toString

    String toString()

  Deprecated See BEA Commerce product offering

  Gets a `String`representation of this discount

  ``
  Overrides:
    `toString` in class `Object`
  Returns
    a `String`representation of this discount``

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved